Need Clarification on IOS5 jailbreak.

Discussion in 'Jailbreaks and iOS Hacks' started by boc7269, Oct 26, 2011.

  1. boc7269 macrumors newbie

    Joined:
    Oct 26, 2011
    #1
    I am still new to jail breaking and want to understand everything better. I jail broke my iphone4 for the first time literally a week before they announced the new IOS5 release date. I decided today to ditch the jailbreak and try out IOS5, thinking that I could just downgrade if I didn't like the new OS. I then read something about basebands for 5 not being able to be unlocked (that's what I got from it) and I need to preserve my old basebands before updating.
    (Here is what I read) http://www.idownloadblog.com/2011/10/13/how-to-preserve-baseband-upgrading-ios-5/
    Basically I want to know
    1) Can I still preserve my basebands or am I to late. (I currently have IOS5)
    2) Can I jailbreak IOS5 without modifying the basebands. ( I don't want to void my warrenty).

    Let me know if any more clarification is needed. I'm just trying to learn this stuff so I don't screw up my phone. Any help is appreciated.
     
  2. Ke1ington macrumors 6502a

    Ke1ington

    Joined:
    Dec 29, 2009
    #2
    You updated your baseband when you updated to iOS 5. In order to preserve your baseband a custom firmware package needs to be created prior to updating. Since you've already updated, it's too late.

    In regards to your second question, jailbreaking alone doesn't do anything to your baseband. Any changes made with a jailbreak can be easily reversed by restoring through iTunes.
     
  3. Crystal-RX macrumors 68030

    Crystal-RX

    Joined:
    Dec 22, 2008
    Location:
    Seattle, WA USA
    #3
    Only Iphone 4 with baseband 01.59 can be locked with Ultrasn0w. These phone were the first initial run at the new introduction of Iphone 4.

    So, the phone you have with you now can't be unlocked. I believe the baseband on your is now 04.11.

    The article you have on your thread is for people with Iphone 4, baseband 01.59 to upgrading to os5 while preserving its baseband. It is not applied to you or your phone.
     
  4. boc7269 thread starter macrumors newbie

    Joined:
    Oct 26, 2011
    #4
    It says I have Modem Firmware 3.0.03.
     
  5. Crystal-RX macrumors 68030

    Crystal-RX

    Joined:
    Dec 22, 2008
    Location:
    Seattle, WA USA
    #5
    You are missing a digit in there. It should be 03.10. This baseband can't be unlocked with software. The only option you have right now is to unlock it with turbo sim AKA Gevey sim.
     
  6. Dwalls90 macrumors 601

    Dwalls90

    Joined:
    Feb 5, 2009
    #6
    You can turbo ALL base bands on ALL devices through 4.X.X. Once upgraded to 5.X.X, you upgrade your baseband, and the gevey won't work anymore.
     
  7. boc7269 thread starter macrumors newbie

    Joined:
    Oct 26, 2011
    #7
    No it says 3.0.03. Here is a screenshot from my phone.
     

    Attached Files:

  8. Crystal-RX macrumors 68030

    Crystal-RX

    Joined:
    Dec 22, 2008
    Location:
    Seattle, WA USA
    #8
    You have a CDMA phone and not GSM phone. Am I correct? So, currently there is no software unlock for your phone and Turbo (Gevey) sim will not work as well because there is no sim card slot.
     
  9. boc7269 thread starter macrumors newbie

    Joined:
    Oct 26, 2011
    #9
    Yes I have a CDMA phone.

    ----------

    So basically because I updated to IOS5 I cannot do a jailbreak for the new OS?
    Can I somehow get IOS4 back?
     
  10. Wicked1 macrumors 68040

    Wicked1

    Joined:
    Apr 13, 2009
    Location:
    New Jersey
    #10
    Well soon as it is still be tested and perfected the JB I mean, and the answer to part 2 of your question NOPE, once you upgrade unless you save your baseband as someone else stated in a BLOB, you are done, can not go back.
     
  11. boc7269 thread starter macrumors newbie

    Joined:
    Oct 26, 2011
    #11
    I used TinyUmbrella before I did the update. If I use what it saved can I revert.
    What I have highlighted is what it saved.
     

    Attached Files:

  12. Shaddow825 macrumors 6502

    Joined:
    Mar 13, 2006
    #12
    If you have the SHSH for 4.2.10 you can go back to that IOS version. That will not change your baseband. Although I am not sure there is any reason to preserve or even care about BB version on a CDMA phone. All of the unlocking talk and baseband version talk is about the GSM phones.
     
  13. ericlin0122 macrumors member

    Joined:
    Sep 10, 2010
    #13
    Just wondering...
    I have a factory unlocked iphone4 with baseband 03.10.01. do i have to worry about preserving baseband when upgrading/downgrading?
     
  14. Crystal-RX macrumors 68030

    Crystal-RX

    Joined:
    Dec 22, 2008
    Location:
    Seattle, WA USA
    #14
    If your phone is factory unlocked. You don't need to worry about preserving baseband.
     
  15. boc7269 thread starter macrumors newbie

    Joined:
    Oct 26, 2011
    #15
  16. Shaddow825 macrumors 6502

    Joined:
    Mar 13, 2006
    #16
    Nope. It's more involved now that the signing window for anyhting ios4 is closed. You'll need to use tiny umbrella to trick itunes into asking it for the SHSH instead of apple. Also, you'll prob need to use a version of itunes <10.5 (I've only read this I do not know for certain).

    Is 4.2.10 even untethered anyway?? Was your jailbroken 4.2.10 untethered or tethered? (I havent followed the CDMA phone firmwares) If it was tethered, you can do the same thing for IOS5.
     
  17. boc7269 thread starter macrumors newbie

    Joined:
    Oct 26, 2011
    #17
    The jailbreak I had was tethered. I updated to iOS5 and found out I missed my jailbreak. I figured I would downgrade and find an untethered jailbreak.

    Shaddow825
    How would I go about tricking Itunes into asking TinyUmbrella instead of Apple?

    I think I should note that when I originally jailbroke my iPhone I thought I had bricked it. The phone was stuck on the connect to Itunes logo and it would not restore. I fixed this problem by going into terminal and typing in " sudo nano /etc/hosts and then put # signs in front of the gs.apple.coms." I don't know if this will affect the process of Itunes asking TinyUmbrella or not. Figured it was worth a mention.
     
  18. Shaddow825 macrumors 6502

    Joined:
    Mar 13, 2006
    #18
    I think 4.2.8 is the last untethered jailbreak for CDMA phones. If you have the SHSHs for it, you should be able to restore to that and use jailbreakme.com to get an untethered JB. Otherwise you'll be tethered at ios5 or 4.2.10

    Basically if you don't have the SHSH for 4.2.8 you might as well jailbreak tethered on ios5 rather than go through the trouble of downgrading to 4.2.10 (assuming you have the SHSH for that). Unless there is a specific jailbreak tweak/app that isn't upgraded that you need IOS4.x for
     
  19. labman macrumors 604

    labman

    Joined:
    Jun 9, 2009
    Location:
    Mich near Detroit
    #19
    simply CDMA phones can not be unlocked. The 4S will offer a change because it's both CDMA/GSM
     
  20. rrandyy macrumors 6502

    Joined:
    Jan 14, 2009
    #20
    Importantly, unlocking and jailbreaking are two different things. You need to jailbreak in order to unlock. Because you updated your modem firmware, you can't unlock (probably couldn't even before you upgraded either).

    You can jailbreak 5.0, but it is tethered. You can also revert to 4.x if you have the shsh blobs Saved and do an untethered jailbreak. Your choice.
     

Share This Page